using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

[Serializable]
public class PersonDTO
{
    private int personnr;
    private string fornavn;
    private string efternavn;
    private string adresse;
    private string tlfnr;
    private int postnr;
    private string distrikt;
    private int version;            // for optimistic ofline lock

    public PersonDTO() // default constructor skal bruges ved serialisering
    {
    }

    public PersonDTO(int personnr, string fornavn, string efternavn, string adresse, string tlfNr, int postnr, string distrikt, int version)
    {
        this.personnr = personnr;
        this.fornavn = fornavn;
        this.efternavn = efternavn;
        this.adresse = adresse;
        this.tlfnr = tlfnr;
        this.postnr = postnr;
        this.distrikt = distrikt;
        this.version = version;
    }

    #region IPerson Members

    public int Personnr
    {
        get
        {
            return this.personnr;
        }
        set
        {
            this.personnr = value;
        }
    }

    public string Fornavn
    {
        get
        {
            return this.fornavn;
        }
        set
        {
            this.fornavn = value;
        }
    }

    public string Efternavn
    {
        get
        {
            return this.efternavn;
        }
        set
        {
            this.efternavn = value;
        }
    }

    public string Adresse
    {
        get
        {
            return this.adresse;
        }
        set
        {
            this.adresse = value;
        }
    }

    public string Tlfnr
    {
        get
        {
            return this.tlfnr;
        }
        set
        {
            this.tlfnr = value;
        }
    }

    public int Postnr
    {
        get
        {
            return this.postnr;
        }
        set
        {
            this.postnr = value;
        }
    }

    public string Distrikt
    {
        get
        {
            return this.distrikt;
        }
        set
        {
            this.distrikt = value;
        }
    }

    public int Version
    {
        get
        {
            return this.version;
        }
        set
        {
            this.version = value;
        }
    }


    #endregion

}



