using System;
using System.Collections.Generic;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;


/// <summary>
/// Summary description for PostWebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class PostWebService : System.Web.Services.WebService
{
    private string connectionName = "Provider=Microsoft.Jet.OLEDB.4.0;"
                    + "Data Source=|DataDirectory|\\PersonDatabase.mdb;"
                    + "Jet OLEDB:Database Password=;";

    public PostWebService()
    {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }
    private PostdistriktDTO[] GetAllePostdistrikterWhereOrder(string where_order)
    {
        List<PostdistriktDTO> postdistrikter = new List<PostdistriktDTO>();
        System.Data.IDbConnection con = new System.Data.OleDb.OleDbConnection(connectionName);
        con.Open();
        System.Data.IDbCommand cmd = con.CreateCommand();
        cmd.CommandText = "SELECT * FROM Postdistrikt " + where_order;
        System.Data.IDataReader dataReader = cmd.ExecuteReader();
        while (dataReader.Read())
        {
            postdistrikter.Add(
                new PostdistriktDTO(
                    int.Parse(dataReader["Postnr"].ToString()),
                    dataReader["Distrikt"].ToString()
                    )
                );

        }
        dataReader.Close(); /* luk foresprsel*/
        con.Close();
        return postdistrikter.ToArray();
    }

    [WebMethod]
    public PostdistriktDTO[] GetAllePostdistrikter()
    {
        return GetAllePostdistrikterWhereOrder("");
    }

    [WebMethod]
    public PostdistriktDTO[] GetAllePostdistrikterMedNavn(string navn, bool orderNavn)
    {
        if (orderNavn)
            return GetAllePostdistrikterWhereOrder("WHERE distrikt like '" + navn + "' ORDER BY Distrikt");
        else
            return GetAllePostdistrikterWhereOrder("WHERE distrikt like '" + navn + "' ORDER BY Postnr");
    }

    [WebMethod]
    public PostdistriktDTO[] GetAllePostdistrikterFraTil(int fraPostnr, int tilPostnr)
    {
        return GetAllePostdistrikterWhereOrder("WHERE postnr >= " + fraPostnr + " AND  postnr <= " + tilPostnr + " ORDER BY Distrikt");
    }

}

