using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

[Serializable]
public class PostdistriktDTO
{
    private int postnr;
    private string distrikt;

    public PostdistriktDTO() // default constructor skal bruges ved serialisering
    {
    }

    public PostdistriktDTO(int postnr, string distrikt)
    {
        this.postnr = postnr;
        this.distrikt = distrikt;
    }

    #region IPostdistrikt Members

    public int Postnr
    {
        get
        {
            return this.postnr;
        }
        set
        {
            this.postnr = value;
        }
    }

    public string Distrikt
    {
        get
        {
            return this.distrikt;
        }
        set
        {
            this.distrikt = value;
        }
    }

    #endregion
}
